package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class DrpDishesConvertVO {
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("原料名称")
   private String materialName;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("单位")
   private String unitName;
   @ApiModelProperty("可食用部分")
   private BigDecimal edible;
   @ApiModelProperty("系统分解总重量(kg)")
   private BigDecimal totalConvertWeight;
   @ApiModelProperty("库存数")
   private BigDecimal inventoryNum;
   @ApiModelProperty("菜品id")
   private Long baseDishesId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("预留比例(0-100)")
   private Integer reserveRate;
   @ApiModelProperty("档口id")
   private Long stallId;

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public BigDecimal getEdible() {
      return this.edible;
   }

   public BigDecimal getTotalConvertWeight() {
      return this.totalConvertWeight;
   }

   public BigDecimal getInventoryNum() {
      return this.inventoryNum;
   }

   public Long getBaseDishesId() {
      return this.baseDishesId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public Integer getReserveRate() {
      return this.reserveRate;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setEdible(final BigDecimal edible) {
      this.edible = edible;
   }

   public void setTotalConvertWeight(final BigDecimal totalConvertWeight) {
      this.totalConvertWeight = totalConvertWeight;
   }

   public void setInventoryNum(final BigDecimal inventoryNum) {
      this.inventoryNum = inventoryNum;
   }

   public void setBaseDishesId(final Long baseDishesId) {
      this.baseDishesId = baseDishesId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setReserveRate(final Integer reserveRate) {
      this.reserveRate = reserveRate;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }
}
